%define MODULES_NOCSPCTL ac3dec as10k1 envy24control hdspmixer hdsploader mixartloader rmedigicontrol sb16_csp seq/sbiload sscape_ctl us428control usx2yloader vxloader
%ifarch ppc
%define MODULES %{MODULES_NOCSPCTL}
%else
%define MODULES %{MODULES_NOCSPCTL} sb16_csp
%endif
%define tool_fver 1.0.6
%define firmware_fver 1.0.4
%define fname %name-%tool_fver

Name:		alsa-tools
Version:	%tool_fver
Release:	1mdk
Summary:	Advanced Linux Sound Architecture (ALSA) tools
License:	GPL
URL:		http://alsa-project.org
Source0:	ftp://ftp.alsa-project.org/pub/tools/%fname.tar.bz2
Source1:	ftp://ftp.alsa-project.org/pub/firmware/alsa-firmware-%firmware_fver.tar.bz2
Patch:		alsa-tools-0.9.8-sscape_ctl.c.patch.bz2
Patch1:		alsa-tools-1.0.5-gcc3_4.patch.bz2
Patch2:		alsa-tools-envy24control-vs-gtk2.patch.bz2
Group:		Sound
BuildRequires:	libalsa-devel >= %version
BuildRequires:	fltk-devel
BuildRequires:	gtk-devel
BuildRequires:	gtk2-devel
BuildRequires:	ncurses-devel
BuildRequires:	automake1.7
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Advanced Linux Sound Architecture (ALSA) utils. Modularized 
architecture with support for a large range of ISA and PCI cards.
Fully compatible with OSS/Lite (kernel sound drivers), but 
contains many enhanced features.

This source rpm package provides several sub packages:
* ac3dec - A free AC-3 stream decoder
* as10k1 - AS10k1 Assembler version A0.99
%ifnarch ppc
* cspctl - Sound Blaster 16 ASP/CSP control program
%endif
* envy24control - Control tool for Envy24 (ice1712) based soundcards
* hdsploader - Firmware loader for RME Hammerfall cards
* hdspmixer - Mixer for the RME Hammerfall DSP cards
* mixartloader - Firmware loader for Digigram's miXart
* rmedigicontrol - Control panel for RME Hammerfall cards
* sbiload - An OPL2/3 FM instrument loader for ALSA sequencer
* sscape_ctl - ALSA SoundScape control utility
* us428control - Control tool for Tascam 428
* usx2yloader - Firmware loader for Tascam USX2Y USB soundcards
* vxloader - Firmware loader for Digigram's VX-board

%package -n	ac3dec
Summary:	A free AC-3 stream decoder
License:	GPL
Group:		Sound

%description -n	ac3dec
This software is completely useless to 99.99 percent of users
out there. It is mostly of use to those interested in audio
coding research and evaluating codecs. It could theoretically
be used as a portion of a DVD playback system for unix systems. 

%package -n	as10k1
Summary:	AS10k1 Assembler version A0.99
License:	GPL
Group:		Sound

%description -n	as10k1
This is an assembler for the emu10k1 DSP chip present in the
creative SB live, PCI 512, and emu APS sound cards. It is used to
make audio effects such as a flanger, chorus or reverb.

%ifnarch ppc
%package -n	cspctl
Summary:	Sound Blaster 16 ASP/CSP control program
License:	GPL
Group:		Sound

%description -n	cspctl
cspctl is a simple CSP microcode loader for Creative Sound Blaster
16ASP and some Sound Blaster AWE32 sound cards with Creative
Signal Processor (CSP) chip (CT1748A) installed.
%endif

%package -n	envy24control
Summary:	Control tool for Envy24 (ice1712) based soundcards
License:	GPL
Group:		Sound

%description -n	envy24control
envy24control allows control of the digital mixer, channel gains
and other hardware settings for sound cards based on the ice1712
chipset (Midiman Delta series, Terratec EWS and EWX series). It 
also displays a level meter for each input and output channel.

%package -n	hdsploader
Summary:	Firmware loader for the RME Hammerfall DSP cards
License:	GPL
Group:		Sound

%description -n	hdsploader
Firmware loader for the RME Hammerfall DSP cards

%package -n	hdspmixer
Summary:	Mixer for the RME Hammerfall DSP cards
License:	GPL
Group:		Sound

%description -n	hdspmixer
Mixer for the RME Hammerfall DSP cards

%package -n	mixartloader
Summary:	Firmware loader for Digigram miXart
License:	GPL
Group:		Sound

%description -n	mixartloader
Firmware loader for Digigram miXart

%package -n	rmedigicontrol
Summary:	Control panel for the RME Hammerfall DSP cards
License:	GPL
Group:		Sound

%description -n	rmedigicontrol
Control panel for the RME Hammerfall DSP cards

%package -n	sbiload
Summary:	An OPL2/3 FM instrument loader for ALSA sequencer
License:	GPL
Group:		Sound

%description -n	sbiload
An OPL2/3 FM instrument loader for ALSA sequencer

%package -n	sscape_ctl
Summary:	ALSA SoundScape control utility
License:	GPL
Group:		Sound

%description -n	sscape_ctl
ALSA SoundScape control utility

%package -n	usx2yloader
Summary:	Firmware loader for Tascam USX2Y USB
License:	GPL
Group:		Sound

%description -n	usx2yloader
Helper program to load the firmware binaries onto the Tascam USX2Y USB.

%package -n	us428control
Summary:	Control for Tascam 428
License:	GPL
Group:		Sound

%description -n	us428control
Controller program for the Tascam 428 workstation.

%package -n	vxloader
Summary:	Firmware loader for Digigram VX soundcards
License:	GPL
Group:		Sound

%description -n	vxloader
Helper program to load the firmware binaries onto the Digigram's VX-board sound
drivers.

%prep
%setup -q -a 1 -n %fname
%patch
%patch1 -p1 -b .gcc3_4
# build envy24control with gtk2 (it's hawt!)
%patch2 -p0 -b .envy
pushd envy24control
touch NEWS ChangeLog
aclocal
autoconf
automake -a
popd

%build
for i in %{MODULES}; do
pushd ${i}
%configure
%make
popd
done

pushd alsa-firmware-%firmware_fver
%configure
%make
popd

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

for i in %{MODULES}; do
pushd ${i}
%makeinstall_std
popd
done

pushd alsa-firmware-%firmware_fver
%makeinstall_std
popd

# install some extra stuff for ac3dec
install -m755 ac3dec/test/dither_test %{buildroot}%{_bindir}/dither_test
install -m755 ac3dec/test/imdct_test %{buildroot}%{_bindir}/imdct_test

# install menu entries
install -d %{buildroot}%{_menudir}

cat << EOF > %{buildroot}%{_menudir}/envy24control
?package(envy24control): command="envy24control" icon="sound_section.png" section="Multimedia/Sound" title="Envy24Control" longtitle="Control tool for Envy24 (ice1712) based soundcards" needs="x11"
EOF

cat << EOF > %{buildroot}%{_menudir}/hdspmixer
?package(hdspmixer): command="hdspmixer" icon="sound_section.png" section="Multimedia/Sound" title="HDSP Mixer" longtitle="Mixer for RME Hammerfall" needs="x11"
EOF

cat << EOF > %{buildroot}%{_menudir}/rmedigicontrol
?package(rmedigicontrol): command="rmedigicontrol" icon="sound_section.png" section="Multimedia/Sound" title="RME Digicontrol" longtitle="Control panel for RME Hammerfall" needs="x11"
EOF

%post -n	envy24control
%update_menus
%postun -n	envy24control
%clean_menus

%post -n	hdspmixer
%update_menus
%postun -n	hdspmixer
%clean_menus

%post -n	rmedigicontrol
%update_menus
%postun -n	rmedigicontrol
%clean_menus

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n	ac3dec
%defattr(-,root,root)
%doc ac3dec/COPYING ac3dec/README ac3dec/TODO
%{_bindir}/ac3dec
%{_bindir}/extract_ac3
%{_bindir}/dither_test
%{_bindir}/imdct_test

%files -n	as10k1
%defattr(-,root,root)
%doc as10k1/README as10k1/COPYING as10k1/examples
%{_bindir}/as10k1

%files -n	envy24control
%defattr(-,root,root)
%doc envy24control/AUTHORS envy24control/COPYING envy24control/README
%{_bindir}/envy24control
%{_mandir}/man1/envy24control.1*
%{_menudir}/envy24control
#%{_iconsdir}/envy24control.png

%ifnarch ppc
%files -n	cspctl
%defattr(-,root,root)
%doc sb16_csp/COPYING sb16_csp/README
%{_bindir}/cspctl
%{_mandir}/man1/cspctl.1*
%endif

%files -n	hdsploader
%defattr(-,root,root)
%doc hdsploader/AUTHORS hdsploader/COPYING hdsploader/README
%{_bindir}/hdsploader
%dir %{_datadir}/alsa
%dir %{_datadir}/alsa/firmware
%{_datadir}/alsa/firmware/hdsploader

%files -n	hdspmixer
%defattr(-,root,root)
%doc hdspmixer/AUTHORS hdspmixer/COPYING hdspmixer/README
%{_bindir}/hdspmixer
%{_menudir}/hdspmixer
%_datadir/applications/hdspmixer.desktop
%_datadir/pixmaps/hdspmixer.png

%files -n	mixartloader
%defattr(-,root,root)
%{_bindir}/mixartloader
%dir %{_datadir}/alsa
%dir %{_datadir}/alsa/firmware
%{_datadir}/alsa/firmware/mixartloader

%files -n	rmedigicontrol
%defattr(-,root,root)
%doc rmedigicontrol/COPYING rmedigicontrol/README
%{_bindir}/rmedigicontrol
%{_menudir}/rmedigicontrol

%files -n	sbiload
%defattr(-,root,root)
%doc seq/sbiload/COPYING seq/sbiload/README
%{_bindir}/sbiload
%{_datadir}/sounds/opl3/

%files -n	sscape_ctl
%defattr(-,root,root)
%{_bindir}/sscape_ctl

%files -n	us428control
%defattr(-,root,root)
%{_bindir}/us428control

%files -n	usx2yloader
%defattr(-,root,root)
%doc usx2yloader/README
%{_bindir}/usx2yloader
%{_sysconfdir}/hotplug/usb/tascam*
%dir %{_datadir}/alsa
%dir %{_datadir}/alsa/firmware
%{_datadir}/alsa/firmware/usx2yloader

%files -n	vxloader
%defattr(-,root,root)
%doc vxloader/README
%{_bindir}/vxloader
%dir %{_datadir}/alsa/firmware
%dir %{_datadir}/alsa
%dir %{_datadir}/alsa/firmware
%{_datadir}/alsa/firmware/vxloader

%changelog
* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release
- replace SOURCE 2 bu patch 2 so that we do not lost usefull checks in the
  future

* Wed Aug 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-0.rc1.1mdk
- new release

* Sat Jun 12 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.5-2mdk
- fix build with gcc 3.4
- add BuildRequires: automake1.7
- do not build cspctl on ppc

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-1mdk
- new release

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Thu Apr 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_1mdk
- new release

* Tue Feb 24 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.2-2mdk
- fix DIRM

* Mon Jan 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new release

* Thu Jan 22 2004 Austin Acton <austin@mandrake.org> 1.0.1-2mdk
- include all apps (all GPL)
- include firmware (all GPL)
- build envy24control with gtk2 (mmm, pretty)
- get around the autoconf1.7 requirement and remove the crappy fix
- drop patch1

* Thu Jan 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Tue Jan 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.1rc2mdk
- new release

* Sun Nov 23 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.8-2mdk
- BuildRequires: automake1.7 fltk-devel

* Mon Oct 13 2003 Austin Acton <aacton@yorku.ca> 0.9.8-1mdk
- 0.9.8
- add missing apps
- add some menu entries
- specfile makeover
- patch from Charles A. Edwards <eslrahc@bellsouth.net>

* Thu Jul 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.6-1mdk
- 0.9.6
- drop P0, another fix made it into the source

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.5-2mdk
- fix description for what's seen on the changelog list..., i use
  envy24control and sscape_ctl but not for example cspctl, that's why
  this package is split.

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.5-1mdk
- 0.9.5, built against latest libs

* Tue Jul 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.4-1mdk
- 0.9.4
- added P0 to make it compile

* Tue May 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.3-1mdk
- 0.9.3
- could not add the hdsploader subpackage because it relies on 
  "sound/hdsp.h" which is provied by alsa-driver-0.9.3+
- could not add the vxloader subpackage because the firmware are 
  copyrighted(?) by Digigram S.A.

* Sun Mar 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.1-1mdk
- initial cooker contrib (ripped from conectiva, adapted for mandrake)
